import 'package:animated_navbar/loaders/dot_type.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

import 'bdprogreebar.dart';
import 'loaders/color_loader_5.dart';
import 'loaders/color_loader_6.dart';
import 'loaders/color_loader_7.dart';

void main() => runApp(new MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return new MaterialApp(
      title: 'Flutter Login Screen 1',
      theme: new ThemeData(
        primarySwatch: Colors.blue,
        ),
      home: new MyHomePage(),
      debugShowCheckedModeBanner: false,
      );
  }
}

class MyHomePage extends StatefulWidget {
  @override
  _MyHomePageState createState() => new _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      body: Container(
        height: MediaQuery.of(context).size.height,
        child: SingleChildScrollView(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              column1(context),//example go bellow
              column2(context),//example go bellow
              column3(context),//example go bellow
            ],
            ),
          ),
        ),
      );
  }
  
  column1(context) {
    return Container(
      height: MediaQuery.of(context).size.height,
      child: Center(
        child: Container(
          width: MediaQuery.of(context).size.width * .3,
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.center,
            mainAxisAlignment: MainAxisAlignment.spaceAround,
            children: [
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(new ClipboardData(
                            text: 'Loader(\n'
                                'colors: ,\n'
                                'backColors: ,\n)'));
                      },
                      child: Text("Loader")),
                  Container(
                    child: Center(
                      child: Loader(
                        colors: Colors.red,
                        backColors: Colors.amber,
                        ),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(new ClipboardData(
                            text: 'Loader2(\n'
                                'Color color1: ,\n'
                                'Color color2: ,\n'
                                'Color color3: ,\n'
                                'bool border1Revers: ,\n'
                                'bool border2Revers: ,\n'
                                'border3Revers: ,\n'
                                ')'));
                      },
                      child: Text("Loader2")),
                  Container(
                    child: Center(
                      child: Loader2(
                        color1: Colors.red,
                        color2: Colors.blue,
                        color3: Colors.green,
                        border1Revers: true,
                        ),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(new ClipboardData(
                            text: 'Loader3(\n'
                                'mainBall: ,\n'
                                'subBall: ,\n'
                                'reverse: ,\n'
                                'onOff: ,\n'
                                'color:[],\n'
                                ')'));
                      },
                      child: Text("ColorLoader3")),
                  Container(
                    child: Center(
                      child: Loader3(mainBall: 20.0, subBall: 10.0, reverse: false,),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader4(\ndotOneColor: Colors.red,\ndotTwoColor: Colors.blue,\ndotThreeColor: Colors.green,\ndotType: DotType.circle\n)'));
                      },
                      child: Text("Loader4")),
                  Container(
                    child: Center(
                      child: Loader4(
                          dotOneColor: Colors.red,
                          dotTwoColor: Colors.blue,
                          dotThreeColor: Colors.green,
                          dotType: DotType.circle),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader4(\ndotOneColor: Colors.red,\ndotTwoColor: Colors.blue,\ndotThreeColor: Colors.green,\ndotType: DotType.diamond\n)'));
                      },
                      child: Text("Loader4")),
                  Container(
                    child: Center(
                      child: Loader4(
                          dotOneColor: Colors.red,
                          dotTwoColor: Colors.blue,
                          dotThreeColor: Colors.green,
                          dotType: DotType.diamond),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader4(\ndotOneColor: Colors.red,\ndotTwoColor: Colors.blue,\ndotThreeColor: Colors.green,\ndotType: DotType.square\n)'));
                      },
                      child: Text("Loader4")),
                  Container(
                    child: Center(
                      child: Loader4(
                          dotOneColor: Colors.red,
                          dotTwoColor: Colors.blue,
                          dotThreeColor: Colors.green,
                          dotType: DotType.square),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader4(\ndotOneColor: Colors.red,\ndotTwoColor: Colors.blue,\ndotThreeColor: Colors.green,\ndotType: DotType.icon\n)'));
                      },
                      child: Text("Loader4")),
                  Container(
                    child: Center(
                      child: Loader4(
                          dotOneColor: Colors.red,
                          dotTwoColor: Colors.blue,
                          dotThreeColor: Colors.green,
                          dotType: DotType.icon),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader6()'));
                      },
                      child: Text("Loader6")),
                  Container(
                    child: Center(
                      child: Loader6(),
                      ),
                    ),
                ],
                ),
            ],
            ),
          ),
        ),
      );
  }
  
  column2(context) {
    return Container(
      height: MediaQuery.of(context).size.height,
      child: Center(
        child: Container(
          width: MediaQuery.of(context).size.width * .3,
          child: Column(
            mainAxisAlignment: MainAxisAlignment.spaceAround,
            children: [
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader5(dotType: DotType.circle,\ndotOneColor: Colors.red,\ndotTwoColor: Colors.blue,\ndotThreeColor: Colors.green,)'));
                      },
                      child: Text("Loader5")),
                  Container(
                    child: Center(
                      child: Loader5(
                        dotType: DotType.circle,
                        dotOneColor: Colors.red,
                        dotTwoColor: Colors.blue,
                        dotThreeColor: Colors.green,
                        ),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader5(dotType: DotType.diamond,\ndotOneColor: Colors.red,\ndotTwoColor: Colors.blue,\ndotThreeColor: Colors.green,)'));
                      },
                      child: Text("Loader5")),
                  Container(
                    child: Center(
                      child: Loader5(
                        dotType: DotType.diamond,
                        dotOneColor: Colors.red,
                        dotTwoColor: Colors.blue,
                        dotThreeColor: Colors.green,
                        ),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader5(dotType: DotType.square,\ndotOneColor: Colors.red,\ndotTwoColor: Colors.blue,\ndotThreeColor: Colors.green,)'));
                      },
                      child: Text("Loader5")),
                  Container(
                    child: Center(
                      child: Loader5(
                        dotType: DotType.square,
                        dotOneColor: Colors.red,
                        dotTwoColor: Colors.blue,
                        dotThreeColor: Colors.green,
                        ),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader5(dotType: DotType.icon,\ndotOneColor: Colors.red,\ndotTwoColor: Colors.blue,\ndotThreeColor: Colors.green,)'));
                      },
                      child: Text("Loader5")),
                  Container(
                    child: Center(
                      child: Loader5(
                        dotType: DotType.icon,
                        dotOneColor: Colors.red,
                        dotTwoColor: Colors.blue,
                        dotThreeColor: Colors.green,
                        ),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader5(dotType: DotType.iconAdd,\ndotOneColor: Colors.red,\ndotTwoColor: Colors.blue,\ndotThreeColor: Colors.green,)'));
                      },
                      child: Text("Loader5")),
                  Container(
                    child: Center(
                      child: Loader5(
                        dotType: DotType.iconAdd,
                        dotOneColor: Colors.red,
                        dotTwoColor: Colors.blue,
                        dotThreeColor: Colors.green,
                        ),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader5(dotType: DotType.iconArrow,\ndotOneColor: Colors.red,\ndotTwoColor: Colors.blue,\ndotThreeColor: Colors.green,)'));
                      },
                      child: Text("Loader5")),
                  Container(
                    child: Center(
                      child: Loader5(
                        dotType: DotType.iconArrow,
                        dotOneColor: Colors.red,
                        dotTwoColor: Colors.blue,
                        dotThreeColor: Colors.green,
                        ),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader5(dotType: DotType.iconBright,\ndotOneColor: Colors.red,\ndotTwoColor: Colors.blue,\ndotThreeColor: Colors.green,)'));
                      },
                      child: Text("Loader5")),
                  Container(
                    child: Center(
                      child: Loader5(
                        dotType: DotType.iconBright,
                        dotOneColor: Colors.red,
                        dotTwoColor: Colors.blue,
                        dotThreeColor: Colors.green,
                        ),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader5(dotType: DotType.iconDonut,\ndotOneColor: Colors.red,\ndotTwoColor: Colors.blue,\ndotThreeColor: Colors.green,)'));
                      },
                      child: Text("Loader5")),
                  Container(
                    child: Center(
                      child: Loader5(
                        dotType: DotType.iconDonut,
                        dotOneColor: Colors.red,
                        dotTwoColor: Colors.blue,
                        dotThreeColor: Colors.green,
                        ),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader5(dotType: DotType.iconForward,\ndotOneColor: Colors.red,\ndotTwoColor: Colors.blue,\ndotThreeColor: Colors.green,)'));
                      },
                      child: Text("Loader5")),
                  Container(
                    child: Center(
                      child: Loader5(
                        dotType: DotType.iconForward,
                        dotOneColor: Colors.red,
                        dotTwoColor: Colors.blue,
                        dotThreeColor: Colors.green,
                        ),
                      ),
                    ),
                ],
                ),
            ],
            ),
          ),
        ),
      );
  }
  
  column3(context) {
    return Container(
      height: MediaQuery.of(context).size.height,
      child: Center(
        child: Container(
          width: MediaQuery.of(context).size.width * .3,
          child: Column(
            mainAxisAlignment: MainAxisAlignment.spaceAround,
            children: [
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader4(\ndotOneColor: Colors.red,\ndotTwoColor: Colors.blue,\ndotThreeColor: Colors.green,\ndotType: DotType.iconForward\n)'));
                      },
                      child: Text("Loader4")),
                  Container(
                    child: Center(
                      child: Loader4(
                          dotOneColor: Colors.red,
                          dotTwoColor: Colors.blue,
                          dotThreeColor: Colors.green,
                          dotType: DotType.iconForward),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader4(\ndotOneColor: Colors.red,\ndotTwoColor: Colors.blue,\ndotThreeColor: Colors.green,\ndotType: DotType.iconDonut\n)'));
                      },
                      child: Text("Loader4")),
                  Container(
                    child: Center(
                      child: Loader4(
                          dotOneColor: Colors.red,
                          dotTwoColor: Colors.blue,
                          dotThreeColor: Colors.green,
                          dotType: DotType.iconDonut),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader4(\ndotOneColor: Colors.red,\ndotTwoColor: Colors.blue,\ndotThreeColor: Colors.green,\ndotType: DotType.iconBright\n)'));
                      },
                      child: Text("Loader4")),
                  Container(
                    child: Center(
                      child: Loader4(
                          dotOneColor: Colors.red,
                          dotTwoColor: Colors.blue,
                          dotThreeColor: Colors.green,
                          dotType: DotType.iconBright),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader4(\ndotOneColor: Colors.red,\ndotTwoColor: Colors.blue,\ndotThreeColor: Colors.green,\ndotType: DotType.iconArrow\n)'));
                      },
                      child: Text("Loader4")),
                  Container(
                    child: Center(
                      child: Loader4(
                          dotOneColor: Colors.red,
                          dotTwoColor: Colors.blue,
                          dotThreeColor: Colors.green,
                          dotType: DotType.iconArrow),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader4(\ndotOneColor: Colors.red,\ndotTwoColor: Colors.blue,\ndotThreeColor: Colors.green,\ndotType: DotType.iconAdd\n)'));
                      },
                      child: Text("Loader4")),
                  Container(
                    child: Center(
                      child: Loader4(
                          dotOneColor: Colors.red,
                          dotTwoColor: Colors.blue,
                          dotThreeColor: Colors.green,
                          dotType: DotType.iconAdd),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader7(\ndotIcon1: Icon(Icons.blur_on),\ndotIcon2: Icon(Icons.brightness_low),\ndotIcon3: Icon(Icons.brightness_high),\n)'));
                      },
                      child: Text("Loader7")),
                  Container(
                    child: Center(
                      child: Loader7(
                        dotIcon1: Icon(Icons.blur_on),
                        dotIcon2: Icon(Icons.brightness_low),
                        dotIcon3: Icon(Icons.brightness_high),
                        ),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader7(\ndotIcon1: Icon(Icons.battery_alert),\ndotIcon2: Icon(Icons.battery_charging_full),\ndotIcon3: Icon(Icons.battery_full),\n)'));
                      },
                      child: Text("Loader7")),
                  Container(
                    child: Center(
                      child: Loader7(
                        dotIcon1: Icon(Icons.battery_alert),
                        dotIcon2: Icon(Icons.battery_charging_full),
                        dotIcon3: Icon(Icons.battery_full),
                        ),
                      ),
                    ),
                ],
                ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  InkWell(
                      onTap: () {
                        Clipboard.setData(
                            new ClipboardData(text: 'Loader7(\ndotIcon1: Icon(Icons.arrow_right),\ndotIcon2: Icon(Icons.arrow_forward_ios),\ndotIcon3: Icon(Icons.arrow_forward),\n)'));
                      },
                      child: Text("Loader7")),
                  Container(
                    child: Center(
                      child: Loader7(
                        dotIcon1: Icon(Icons.arrow_right),
                        dotIcon2: Icon(Icons.arrow_forward_ios),
                        dotIcon3: Icon(Icons.arrow_forward),
                        ),
                      ),
                    ),
                ],
                ),
            ],
            ),
          ),
        ),
      );
  }
}
