import 'package:flutter/material.dart';
import 'dart:async';

class ColorLoader extends StatefulWidget {
  final Color colors;
  final Color backColors;

  ColorLoader({this.colors, this.backColors});

  @override
  _ColorLoaderState createState() =>
      _ColorLoaderState(this.colors, this.backColors);
}

class _ColorLoaderState extends State<ColorLoader>
    with SingleTickerProviderStateMixin {
  final Color colors;
  final Color backColors;
  Timer timer;

  _ColorLoaderState(this.colors, this.backColors);

  AnimationController controller;

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Center(
        child: CircularProgressIndicator(
          strokeWidth: 5.0,
          backgroundColor: widget.backColors,
          valueColor: AlwaysStoppedAnimation<Color>(widget.colors),
        ),
      ),
    );
  }

  @override
  void dispose() {
    timer.cancel();
    controller.dispose();
    super.dispose();
  }
}
